Subject: Re: [nfsv4] New Version Notification for draft-bhalevy-nfsv4-flex-files-00.txt

From: Benny Halevy <[email-masked]>
Date: Tue, 16 Jul 2013 01:38:39 +0300

This initial version of the flexible files layout (or the
son-of-the-objects-layout as Dave Noveck calls it :)
represents work in progress.

Based on the feedback from the Working Group, this layout type defines
access over NFS Data Servers
and it does not support OSD T10 OSDs as data servers.

The NFSv3 data access method as well as other protocol constructs
proposed in the past in
http://tools.ietf.org/html/draft-bhalevy-nfs-obj-00 were retained.

I did my best attempt to define the security, state, and locking
models associated with
NFSv4 and NFSv4.1 data servers but I admit this requires more work to
get to the specification
and implementations details.  I hereby call the working group members
interested in this layout type
to participate in the effort.

Thanks,

Benny

On Tue, Jul 16, 2013 at 1:31 AM,  <[email-masked]> wrote:
>
> A new version of I-D, draft-bhalevy-nfsv4-flex-files-00.txt
> has been successfully submitted by Benny Halevy and posted to the
> IETF repository.
>
> Filename:        draft-bhalevy-nfsv4-flex-files
> Revision:        00
> Title:           Parallel NFS (pNFS) Flexible Files Layout
> Creation date:   2013-07-15
> Group:           Individual Submission
> Number of pages: 29
> URL:             http://www.ietf.org/internet-drafts/draft-bhalevy-nfsv4-flex-files-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-bhalevy-nfsv4-flex-files
> Htmlized:        http://tools.ietf.org/html/draft-bhalevy-nfsv4-flex-files-00
>
>
> Abstract:
>    Parallel NFS (pNFS) extends Network File System version 4 (NFSv4) to
>    allow clients to directly access file data on the storage used by the
>    NFSv4 server.  This ability to bypass the server for data access can
>    increase both performance and parallelism, but requires additional
>    client functionality for data access, some of which is dependent on
>    the class of storage used, a.k.a. the Layout Type.  The main pNFS
>    operations and data types in NFSv4 Minor version 1 specify a layout-
>    type-independent layer; layout-type-specific information is conveyed
>    using opaque data structures whose internal structure is further
>    defined by the particular layout type specification.  This document
>    specifies the NFSv4.1 Flexible Files pNFS Layout as a companion to
>    the main NFSv4 Minor version 1 specification for use of pNFS with
>    Data Servers over NFSv4 or higher minor versions using flexible, per-
>    file striping topology.
>
>
>
>
> The IETF Secretariat
>